;
; Open a Window
;
hWnd = OpenWindow(0, (GetSystemMetrics_(#SM_CXSCREEN)-512)/2,(GetSystemMetrics_(#SM_CYSCREEN)-384)/2, 512, 384, #PB_Window_SystemMenu | #PB_Window_MinimizeGadget | #PB_Window_MaximizeGadget | #PB_Window_SizeGadget, "PureBasic Paint")

  ;
  ; Add the Menu
  ;
  CreateMenu(1,hWnd)
  OpenSubMenu("File")
     MenuItem(801,"New") : MenuItem(802,"Open...") : MenuItem(803,"Save") : MenuItem(804,"Save as...")
     MenuBar() : MenuItem(805,"Print Preview") : MenuItem(806,"Page Setup...") : MenuItem(807,"Print...")
     MenuBar() : MenuItem(808,"Send...") : MenuBar() : MenuItem(809,"Exit")
    CloseSubMenu()
  OpenSubMenu("Edit")
     MenuItem(901,"Undo") : MenuItem(902,"Repeat") : MenuBar() : MenuItem(903,"Cut") : MenuItem(904,"Copy")
     MenuItem(905,"Paste") : MenuItem(906,"Clear Selection") : MenuItem(907,"Select All") : MenuBar()
     MenuItem(908,"Copy to...") : MenuItem(909,"Paste From...")
    CloseSubMenu()
  OpenSubMenu("View")
     MenuItem(1001,"Tool Box") : MenuItem(1002,"Color Box") : MenuItem(1003,"Status Bar")
     MenuItem(1004,"Text Toolbar") : MenuBar() :
       OpenSubMenu("Zoom")
         MenuItem(1005,"Normal Size") : MenuItem(1006,"Large Size") : MenuItem(1007,"Custom...")
         MenuBar() : MenuItem(1008,"Show Grid") : MenuItem(1009,"Show Thubnail")
       CloseSubMenu()  
     MenuItem(1010,"View Bitmap")
    CloseSubMenu()
  OpenSubMenu("Image")
     MenuItem(1101,"Flip/Rotate...") : MenuItem(1102,"Stretch/Skew...") : MenuItem(1103,"Invert Colors")
     MenuItem(1104,"Attributes") : MenuItem(1105,"Clear Image") : MenuItem(1106,"Draw Opaque")
    CloseSubMenu()
  OpenSubMenu("Colors")
     MenuItem(1201,"Edit Colors...")
    CloseSubMenu()
  OpenSubMenu("Help")
     MenuItem(1301,"Help Topics") : MenuBar() : MenuItem(1302,"About PurePaint")
    CloseSubMenu()
  ;
  ; Menu Setup
  ;
  For a = 901 To 908: DisableMenuItem(a,1) : Next a : DisableMenuItem(907,0)
  SetMenuItemState(1,1001,1):SetMenuItemState(1,1002,1):SetMenuItemState(1,1003,1)
  DisableMenuItem(1004,1):DisableMenuItem(1005,1):DisableMenuItem(1008,1):DisableMenuItem(1009,1)
  SetMenuItemState(1,1106,1)


  ;
  ; Create Toolbar 1,
  ; load the Toolbar Button Image and assign it to the Toolbar
  ;
  hTB1 = CreateTB(1,hWnd,24,24,0)
  x = SetTBimage(LoadImage(1,"PAINT.BMP"),0,#TBpro_NORMAL)

  ;
  ; Add all 16 Buttons with Tooltips
  ;
    AddTBbutton(1,1,#TBpro_CheckBUTTON)   : SetTBbuttonTooltip(1,"Free-Form Select")
    AddTBbutton(2,2,#TBpro_CheckBUTTON)   : SetTBbuttonTooltip(2,"Select")
  AddTBbreak()
    AddTBbutton(3,3,#TBpro_CheckBUTTON)   : SetTBbuttonTooltip(3,"Eraser/Color Eraser")
    AddTBbutton(4,4,#TBpro_CheckBUTTON)   : SetTBbuttonTooltip(4,"Fill with Color")
  AddTBbreak()
    AddTBbutton(5,5,#TBpro_CheckBUTTON)   : SetTBbuttonTooltip(5,"Pick Color")
    AddTBbutton(6,6,#TBpro_CheckBUTTON)   : SetTBbuttonTooltip(6,"Magnifier")
  AddTBbreak()
    AddTBbutton(7,7,#TBpro_CheckButton)   : SetTBbuttonTooltip(7,"Pencil")
    AddTBbutton(8,8,#TBpro_CheckButton)   : SetTBbuttonTooltip(8,"Brush")
  AddTBbreak()
    AddTBbutton(9,9,#TBpro_CheckButton)   : SetTBbuttonTooltip(9,"Airbrush")
    AddTBbutton(10,10,#TBpro_CheckButton) : SetTBbuttonTooltip(10,"Text")
  AddTBbreak()
    AddTBbutton(11,11,#TBpro_CheckButton) : SetTBbuttonTooltip(11,"Line")
    AddTBbutton(12,12,#TBpro_CheckButton) : SetTBbuttonTooltip(12,"Curve")
  AddTBbreak()
    AddTBbutton(13,13,#TBpro_CheckButton) : SetTBbuttonTooltip(13,"Rectangle")
    AddTBbutton(14,14,#TBpro_CheckButton) : SetTBbuttonTooltip(14,"Polygon")
  AddTBbreak()
    AddTBbutton(15,15,#TBpro_CheckButton) : SetTBbuttonTooltip(15,"Elipse")
    AddTBbutton(16,16,#TBpro_CheckButton) : SetTBbuttonTooltip(16,"Rounded Rectangle")

  ;
  ; Check Button 1 on TB 1
  ;
  CheckTBbutton(1,1)

  ;
  ; Create a second Toolbar at the Bottom of the Window
  ;
  hTB2 = CreateTB(2,hWnd,16,16,#TBpro_Bottom)
  x = SetTBimage(LoadImage(2,"Colors.BMP"),0,#TBpro_NORMAL)
    AddTBbutton(101, 1,#TBpro_CheckBUTTON) : AddTBbutton(102, 2,#TBpro_CheckBUTTON)
    AddTBbutton(103, 3,#TBpro_CheckBUTTON) : AddTBbutton(104, 4,#TBpro_CheckBUTTON)
    AddTBbutton(105, 5,#TBpro_CheckBUTTON) : AddTBbutton(106, 6,#TBpro_CheckBUTTON)
    AddTBbutton(107, 7,#TBpro_CheckBUTTON) : AddTBbutton(108, 8,#TBpro_CheckBUTTON)
    AddTBbutton(109, 9,#TBpro_CheckBUTTON) : AddTBbutton(110,10,#TBpro_CheckBUTTON)
    AddTBbutton(111,11,#TBpro_CheckBUTTON) : AddTBbutton(112,12,#TBpro_CheckBUTTON)
    AddTBbutton(113,13,#TBpro_CheckBUTTON) : AddTBbutton(114,14,#TBpro_CheckBUTTON)
  AddTBbreak()
    AddTBbutton(115,15,#TBpro_CheckBUTTON) : AddTBbutton(116,16,#TBpro_CheckBUTTON)
    AddTBbutton(117,17,#TBpro_CheckBUTTON) : AddTBbutton(118,18,#TBpro_CheckBUTTON)
    AddTBbutton(119,19,#TBpro_CheckBUTTON) : AddTBbutton(120,20,#TBpro_CheckBUTTON)
    AddTBbutton(121,21,#TBpro_CheckBUTTON) : AddTBbutton(122,22,#TBpro_CheckBUTTON)
    AddTBbutton(123,23,#TBpro_CheckBUTTON) : AddTBbutton(124,24,#TBpro_CheckBUTTON)
    AddTBbutton(125,25,#TBpro_CheckBUTTON) : AddTBbutton(126,26,#TBpro_CheckBUTTON)
    AddTBbutton(127,27,#TBpro_CheckBUTTON) : AddTBbutton(128,28,#TBpro_CheckBUTTON)
  AddTBbreak()
  CheckTBbutton(101,1)

  ;
  ; Status Bar
  ;
  CreateStatusBar(1,hWnd)
  AddStatusBarField(300)
  AddStatusBarField(150)
  AddStatusBarField(5000)

  ; Resize-Procedure for Realtime-Resize
  Procedure WinCallback(WindowID, Message, wParam, lParam)
    ReturnValue = #PB_ProcessPureBasicEvents
      Select Message
        Case #WM_SIZE
             UpdateTB(1)
             UpdateTB(2)
             ;ReturnValue = 1
      EndSelect
  ProcedureReturn  ReturnValue
  EndProcedure
  SetWindowCallback(@WinCallback())


  ;
  ; Main Loop
  ;
  Repeat
           Select WaitWindowEvent()
             Case #PB_EventMenu
                  Select EventMenuID()  ; To see which menu has been selected
                    Case 809 ; QUIT
                         End
                  EndSelect
             ; pressed CloseButton or ALT+F4 ??
             Case #PB_EventCloseWindow
                  End
           EndSelect
  ForEver 
; ExecutableFormat=Windows
; Executable=Z:\TestToolbar\PureTools_I\TOOLBAR Professional\PurePaint\PurePaint.exe
; DisableDebugger
; EOF